Get Run Usage
GET /runs/{run_id}/usageParameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
run_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | RunUsageView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/runs/{run_id}/usage \ -H "Authorization: Bearer $COBRE_TOKEN"Response — RunUsageView
Section titled “Response — RunUsageView”| Field | Type | Notes | |
|---|---|---|---|
tokens_input | integer | optional | Default 0. |
tokens_output | integer | optional | Default 0. |
tokens_cache_read | integer | optional | Default 0. |
tokens_cache_write | integer | optional | Default 0. |
tokens_reasoning | integer | optional | Default 0. |
cost | string | optional | Default "0". |
cost_source | string | null | optional | — |